import { FC } from 'react';
import { CalendarCellProps } from './CalendarCell';
import { CalendarDaysProps } from './CalendarDays';
import { ControllerProps } from './Controller';
export declare const getWeekRange: (date: Date) => Date[];
export type CalendarProps = {
    Control?: FC<ControllerProps>;
    Days?: FC<CalendarDaysProps>;
    TimeColumn?: FC;
    View?: FC<CalendarCellProps>;
    enableHover?: boolean;
    layout?: CalendarLayoutEnum;
    longDayNames?: boolean;
    onClick?: (date: Date) => void;
    onRangeChange?: (dateFrom: Date, dateEnd: Date) => void;
    selected?: Date;
    title?: string;
    type?: CalendarTypeEnum;
    value?: Date;
    weekOfMonth?: number;
};
export declare enum CalendarLayoutEnum {
    day = "day",
    month = "month",
    week = "week"
}
export declare enum CalendarTypeEnum {
    days = "days",
    months = "months",
    weeks = "weeks"
}
export declare function Calendar({ value, onClick, onRangeChange, layout, type, Control, Days, title, View, TimeColumn, enableHover, selected, longDayNames, }: CalendarProps): ReturnType<FC>;
