"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Calendar = exports.CalendarTypeEnum = exports.CalendarLayoutEnum = exports.getWeekRange = void 0;
const react_1 = __importStar(require("react"));
const ramda_1 = require("ramda");
const date_fns_1 = require("date-fns");
const utils_1 = require("@procyon/utils");
const Title_1 = require("../../Title");
const CalendarCell_1 = require("./CalendarCell");
const CalendarDays_1 = require("./CalendarDays");
const Controller_1 = require("./Controller");
const WeekDayView_1 = require("./WeekDayView");
const getWeekRange = (date) => [
    (0, date_fns_1.startOfWeek)(date, { weekStartsOn: 1 }),
    (0, date_fns_1.endOfWeek)(date, { weekStartsOn: 1 }),
];
exports.getWeekRange = getWeekRange;
var CalendarLayoutEnum;
(function (CalendarLayoutEnum) {
    CalendarLayoutEnum["day"] = "day";
    CalendarLayoutEnum["month"] = "month";
    CalendarLayoutEnum["week"] = "week";
})(CalendarLayoutEnum = exports.CalendarLayoutEnum || (exports.CalendarLayoutEnum = {}));
var CalendarTypeEnum;
(function (CalendarTypeEnum) {
    CalendarTypeEnum["days"] = "days";
    CalendarTypeEnum["months"] = "months";
    CalendarTypeEnum["weeks"] = "weeks";
})(CalendarTypeEnum = exports.CalendarTypeEnum || (exports.CalendarTypeEnum = {}));
function Calendar({ value, onClick, onRangeChange, layout = CalendarLayoutEnum.month, type = CalendarTypeEnum.days, Control = Controller_1.Controller, Days = CalendarDays_1.CalendarDays, title, View, TimeColumn, enableHover, selected, longDayNames, }) {
    const [workDate, setWorkDate] = (0, react_1.useState)(value !== null && value !== void 0 ? value : new Date());
    const handleChangeRange = () => {
        switch (layout) {
            case CalendarLayoutEnum.month:
                onRangeChange === null || onRangeChange === void 0 ? void 0 : onRangeChange((0, date_fns_1.startOfMonth)(workDate), (0, date_fns_1.endOfMonth)(workDate));
                return;
            case CalendarLayoutEnum.week:
                onRangeChange === null || onRangeChange === void 0 ? void 0 : onRangeChange((0, exports.getWeekRange)(workDate)[0], (0, exports.getWeekRange)(workDate)[1]);
                return;
            case CalendarLayoutEnum.day:
                onRangeChange === null || onRangeChange === void 0 ? void 0 : onRangeChange(workDate, workDate);
        }
    };
    const handleClickPrev = () => {
        switch (layout) {
            case CalendarLayoutEnum.month:
                if (type === CalendarTypeEnum.months) {
                    setWorkDate((0, date_fns_1.sub)(workDate, { years: 1 }));
                    return;
                }
                setWorkDate((0, date_fns_1.sub)(workDate, { months: 1 }));
                return;
            case CalendarLayoutEnum.week:
                setWorkDate((0, date_fns_1.sub)(workDate, { weeks: 1 }));
                return;
            case CalendarLayoutEnum.day:
                setWorkDate((0, date_fns_1.sub)(workDate, { days: 1 }));
        }
    };
    const handleClickNext = () => {
        switch (layout) {
            case CalendarLayoutEnum.month:
                if (type === CalendarTypeEnum.months) {
                    setWorkDate((0, date_fns_1.add)(workDate, { years: 1 }));
                    return;
                }
                setWorkDate((0, date_fns_1.add)(workDate, { months: 1 }));
                return;
            case CalendarLayoutEnum.week:
                setWorkDate((0, date_fns_1.add)(workDate, { weeks: 1 }));
                return;
            case CalendarLayoutEnum.day:
                setWorkDate((0, date_fns_1.add)(workDate, { days: 1 }));
        }
    };
    const handleClickSetToday = () => {
        setWorkDate(new Date());
    };
    const handleClick = (date) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(date);
    };
    (0, react_1.useEffect)(() => {
        if (value && value !== workDate) {
            setWorkDate(value);
        }
    }, [value]);
    (0, react_1.useEffect)(() => {
        handleChangeRange();
    }, [workDate]);
    const DaysLayout = (0, react_1.useMemo)(() => {
        const end = layout === CalendarLayoutEnum.month ? (0, date_fns_1.getWeeksInMonth)(workDate, { weekStartsOn: 1 }) : 1;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Days, { layout: layout, workDate: workDate, longDayNames: longDayNames }),
            (0, ramda_1.range)(0, end).map((i) => (react_1.default.createElement("div", { key: i, className: 'calendar-row table-row' },
                react_1.default.createElement(WeekDayView_1.WeekDayView, { selected: selected, weekOfMonth: i, layout: layout, enableHover: enableHover, View: View, onClick: handleClick, workDate: new Date(workDate), value: value, type: type }))))));
    }, [layout, selected, enableHover, View, Days, workDate, value, type, longDayNames]);
    const MonthsLayout = (0, react_1.useMemo)(() => (0, ramda_1.range)(0, 3).map((rI) => (react_1.default.createElement("div", { key: rI, className: "calendar-row table-row" }, (0, ramda_1.range)(1, 5).map((cI) => {
        const month = cI + 4 * rI;
        const props = {
            date: new Date(workDate.getFullYear(), month - 1, 1),
            workDate,
            layout,
            enableHover: enableHover,
            isSelected: (selected === null || selected === void 0 ? void 0 : selected.getMonth()) === month - 1 && workDate.getFullYear() === (selected === null || selected === void 0 ? void 0 : selected.getFullYear()),
            isToday: new Date().getMonth() === month - 1 && workDate.getFullYear() === new Date().getFullYear(),
            type: type,
            onClick: handleClick,
        };
        return View ? (react_1.default.createElement(View, Object.assign({ key: cI }, props))) : (react_1.default.createElement(CalendarCell_1.CalendarCell, Object.assign({ key: cI }, props), month));
    })))), [enableHover, workDate, type, View, layout, onClick]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        !(0, utils_1.isNilOrEmpty)(title) && react_1.default.createElement(Title_1.Title, { size: Title_1.TitleSizeEnum.md }, title),
        react_1.default.createElement(Control, { layout: layout, onNextClick: handleClickNext, onPrevClick: handleClickPrev, onTodayClick: handleClickSetToday, type: type, workDate: workDate }),
        react_1.default.createElement("div", { className: "flex" },
            TimeColumn ? react_1.default.createElement(TimeColumn, null) : react_1.default.createElement(react_1.Fragment, null),
            react_1.default.createElement("div", { className: "calendar table" },
                react_1.default.createElement("div", { className: "table-row-group" },
                    type === CalendarTypeEnum.days && DaysLayout,
                    type === CalendarTypeEnum.weeks && DaysLayout,
                    type === CalendarTypeEnum.months && MonthsLayout)))));
}
exports.Calendar = Calendar;
