"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
const react_1 = __importStar(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const Circle_1 = __importDefault(require("@procyon/components/Icons/Circle"));
const CircleFill_1 = __importDefault(require("@procyon/components/Icons/CircleFill"));
const common_1 = require("@procyon/types/common");
const RadioButton = (props) => {
    const { onClick, horizontal = false, label, options, view, status = common_1.StatusEnum.none, responsive, name } = props;
    const [value, setValue] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        if (props.value) {
            setValue(props.value.code);
        }
    }, [props.value]);
    const handleClick = (option, e) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(option, e);
        setValue(option.code);
    };
    const boxClassName = (0, clsx_1.default)('text-xl field-radio', {
        'field-radio--info': status === common_1.StatusEnum.info,
        'field-radio--warning': status === common_1.StatusEnum.warning,
        'field-radio--error': status === common_1.StatusEnum.error,
    });
    const elements = (0, react_1.useMemo)(() => {
        return options.map(({ code, name, disabled }) => {
            return (react_1.default.createElement("div", { key: code, className: (0, clsx_1.default)({
                    'mr-3': horizontal,
                }) }, view ? (react_1.default.cloneElement(view, {
                option: { code, name, disabled },
                onClick: handleClick,
                value,
            })) : (react_1.default.createElement("div", { className: (0, clsx_1.default)('flex field-radio', { 'field-radio--disabled': disabled }), onClick: (e) => (!disabled ? handleClick({ code, name, disabled }, e) : null) },
                value === code && !disabled ? (react_1.default.createElement(CircleFill_1.default, { className: boxClassName })) : (react_1.default.createElement(Circle_1.default, { className: boxClassName })),
                react_1.default.createElement("div", { className: "ml-1" }, name)))));
        });
    }, [value, options, name, boxClassName]);
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)('field-container radiobutton-container', {
            'field-container--info': status === common_1.StatusEnum.info,
            'field-container--success': status === common_1.StatusEnum.success,
            'field-container--warning': status === common_1.StatusEnum.warning,
            'field-container--error': status === common_1.StatusEnum.error,
        }) },
        label && react_1.default.createElement("div", { className: "field-label cursor-default mr-2 self-start" }, label),
        react_1.default.createElement("div", { className: (0, clsx_1.default)('flex', responsive
                ? 'flex-col sm:flex-row'
                : {
                    'flex-col mt-2': !horizontal,
                    'flex-row': horizontal,
                }) }, elements)));
};
exports.RadioButton = RadioButton;
