"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectboxModal = void 0;
const react_1 = __importDefault(require("react"));
const GridCol_1 = require("@procyon/components/GridCol");
const Trash_1 = __importDefault(require("@procyon/components/Icons/Trash"));
const List_1 = __importDefault(require("@procyon/components/List"));
const common_1 = require("@procyon/types/common");
const Button_1 = require("../../Button");
const Grid_1 = require("../../Grid");
const { md } = Grid_1.GridSizeEnum;
const SelectboxModal = (props) => {
    const { name, options, autoComplete, selectedOption, onChange, onRemove, closeModal } = props;
    const handleChange = (option) => {
        onChange(option);
        closeModal(name);
    };
    const removeActiveOption = () => {
        onRemove();
        closeModal(name);
    };
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(List_1.default, { name: name, options: options, autoComplete: autoComplete, selectedCode: selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption.code, onChange: handleChange }),
        react_1.default.createElement(Grid_1.Grid, { cols: { [md]: 3 } },
            react_1.default.createElement(GridCol_1.GridCol, { start: { [md]: 3 }, end: { [md]: 3 } },
                react_1.default.createElement(Button_1.Button, { label: react_1.default.createElement(Trash_1.default, { fontSize: 20 }), status: common_1.StatusEnum.warning, onClick: removeActiveOption, blank: true })))));
};
exports.SelectboxModal = SelectboxModal;
